*! version 1.0.0 June 21, 2018 @ 23:14:53
*! experments with tables
version 15.1
set more off 
capture log close expt
log using expt, name(expt) replace 

* assume that dataset is in use

local vlist "gp100m weight length turn displacement gear_ratio"
local nv : word count `vlist'
local slist "mean sd count"
local ns : word count `slist'
local blist "foreign"

levelsof `blist'
local nlevels = r(r)
local levels = `"`r(levels)'"'

tabstat `vlist', statistics( `slist' ) by(`blist') columns(statistics) save

capture matrix drop allstats
capture matrix drop allstats_fixed
tempname nextmat
forvalues addon = 1/`nlevels' {
   matrix `nextmat' = r(Stat`addon')
   matrix allstats = (nullmat(allstats) \ `nextmat')
   local colnames `"`colnames' `r(name`addon')'"'
   }


mata:
   sidebyside = rowshape(st_matrix("allstats"),strtoreal(st_local("nlevels")))'
   vlen = strtoreal(st_local("nv"))*strtoreal(st_local("ns"))
   maybe = sidebyside[rowshape((rowshape(runningsum(J(1,vlen,1)),strtoreal(st_local("ns")))'),1),.]
   st_matrix("allstats_fixed",maybe)
end

matrix colnames allstats_fixed = `colnames'

tabout 




log close expt
